idn2_strerror_name(3)

NAME
idn2_strerror_name - API function

SYNOPSIS
#include <idn2.h>

const char * idn2_strerror_name(int rc);

ARGUMENTS

int rc
    return code from another libidn2 function.

DESCRIPTION
Convert internal libidn2 error code to a string corresponding to internal header file symbols. For example, idn2_strerror_name(IDN2_MALLOC) will return the string "IDN2_MALLOC". The caller must not attempt to de-allocate the returned string. Return value: A string corresponding to error code symbol.

SEE ALSO
The full documentation for libidn2 is maintained as a Texinfo manual. If the info and libidn2 programs are properly installed at your site, the command

    info libidn2

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libidn2/manual/